package com.foreverwin.mesnac.anomaly.dto;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-09-03
 */
public class IntegrationLogDto {
    /**
     * 接口类型
     */
    private String integrationType;

    /**
     * 请求类型
     */
    private String category;

    /**
     * 系统请求
     */
    private String integrationWay;

    /**
     * 状态
     */
    private String status;

    /**
     * 请求时间
     */
    private String requestDateTime;

    /**
     * 返回参数
     */
    private String resultMessage;

    /**
     * 请求岑书
     */
    private String param;

    private String handle;

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getIntegrationType() {
        return integrationType;
    }

    public void setIntegrationType(String integrationType) {
        this.integrationType = integrationType;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getIntegrationWay() {
        return integrationWay;
    }

    public void setIntegrationWay(String integrationWay) {
        this.integrationWay = integrationWay;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRequestDateTime() {
        return requestDateTime;
    }

    public void setRequestDateTime(String requestDateTime) {
        this.requestDateTime = requestDateTime;
    }

    public String getResultMessage() {
        return resultMessage;
    }

    public void setResultMessage(String resultMessage) {
        this.resultMessage = resultMessage;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }
}









